Postscript printer driver for HP

Discussion in 'Mac OS X 10.3 (Panther) Discussion' started by suebee, Apr 1, 2004.

  1. suebee macrumors newbie

    Joined:
    Apr 1, 2004
    #1
    I recently upgraded my system to Panther and now my HP 1220C/PS printer no longer functions as a postscript printer. HP explained to me they bought the PS driver from Adobe, and Adobe isn't writing PS drivers for system X. (But I can buy a new HP postscript printer that will work on Panther for $500-1500!!!) I have a feeling I'm being duped. Who's onus is it to keep things functional? When I bought the printer it was listed as being operational with system X.

    HP suggested I might find a third party postscript driver when I mentioned highway robbery, but they wouldn't tell me where to look for it. The Gimp site lists a postscript driver, but it says it is only 'operational', not 'fully operational.' I am reluctant to try anything tricky as I'm no techie.

    It still works as a postscript printer in system 9.

    I would like to know where to find a third party postscript printer driver for Panther.

    Any help would be appreiciated. :)
     
  2. dudeami macrumors regular

    Joined:
    Feb 4, 2004
    Location:
    Texas
  3. suebee thread starter macrumors newbie

    Joined:
    Apr 1, 2004
    #3
    Thanks.
    Do I download the ESP ghostscript (espgs-7.05.6-0.ppc.dmg)?
    It says it's for Jaguar, not Panther. Is that a prob?
    I'm a wimp when it comes to software. I've had near hard disk death experiences doing seemingly mundane things.
     
  4. dudeami macrumors regular

    Joined:
    Feb 4, 2004
    Location:
    Texas
    #4
    I have installed this on Panther and it works great. It just says that it needs 10.2 or greater. I didn't install the ESP ghostscript, but I may have done this a long time ago when playing with GIMP print. If you have problems printing or it doesn't seem to print correctly after you install the hpijs foomatic 1.5, then you may need to install the ghostscript.
     
  5. suebee thread starter macrumors newbie

    Joined:
    Apr 1, 2004
    #5
    Thanks much. I will give it try and post my results.
     
  6. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #6
    ESP Ghostscript is a standard part of MacOS X 10.3. MacOS X 10.3 also ships with a driver for the HP 1220.
     
  7. suebee thread starter macrumors newbie

    Joined:
    Apr 1, 2004
    #7
    I do have the OSX driver for the printer, it just isn't a postscript driver.
    Hopefully the new driver will help. I'm downlaoading it now.
     
  8. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #8
    What it is is a GZipped PostScript PPD file. It appears that the real driver is a CUPS driver.
     
  9. suebee thread starter macrumors newbie

    Joined:
    Apr 1, 2004
    #9
    I plead ignorance.
    All I know is the
    the driver with the url:
    hpijs-foomatic-1.5.ppc.dmg
    was the one that did the trick.


    Thanks and a tip of my hat to dudeami....a real friend and a dude. :)
     

Share This Page